Bug 1124938 - check_nodes_cartridges in oo-accept-systems fails on obsolete and downloaded cartridges
Summary: check_nodes_cartridges in oo-accept-systems fails on obsolete and downloaded ...
Keywords:
Status: CLOSED CURRENTRELEASE
Alias: None
Product: OpenShift Online
Classification: Red Hat
Component: Pod
Version: 2.x
Hardware: Unspecified
OS: Unspecified
medium
medium
Target Milestone: ---
: ---
Assignee: Miciah Dashiel Butler Masters
QA Contact: libra bugs
URL:
Whiteboard:
Depends On: 1118908
Blocks:
TreeView+ depends on / blocked
 
Reported: 2014-07-30 16:44 UTC by Miciah Dashiel Butler Masters
Modified: 2018-12-09 18:15 UTC (History)
13 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of: 1118908
Environment:
Last Closed: 2015-02-18 16:50:32 UTC


Attachments (Terms of Use)

Comment 1 Miciah Dashiel Butler Masters 2014-07-30 18:29:57 UTC
PR: https://github.com/openshift/origin-server/pull/5677

Comment 2 openshift-github-bot 2014-07-30 20:42:19 UTC
Commit pushed to master at https://github.com/openshift/origin-server

https://github.com/openshift/origin-server/commit/9b38b05e6bd76634991479aaa0b162070812b06d
oo-accept-systems: Drop obsolete/downloaded carts

Fix the check_nodes_cartridges test in oo-accept-systems to ignore obsolete
cartridges returned by the node hosts, because the broker will not list
obsolete cartridges, and to ignore downloaded cartridges returned by the by
the broker, because a node will not have downloaded cartridges in its
cartridge repository.

This commit fixes bug 1124938.

Comment 3 Qixuan Wang 2014-07-31 03:04:46 UTC
Verified on devenv_5033 and devnev-stage_937, it's fixed, thanks.

[root@ip-10-167-148-53 ~]# oo-broker-attach
bash-4.1#  oo-accept-systems check_nodes_cartridges -v
INFO: checking that each public_hostname resolves to external IP
INFO: PUBLIC_HOSTNAME ec2-54-237-244-70.compute-1.amazonaws.com for ip-10-167-148-53 resolves to 10.167.148.53
INFO: checking that each public_hostname is unique
INFO: checking that public_ip has been set for all nodes
INFO: PUBLIC_IP 54.237.244.70 for ip-10-167-148-53
INFO: checking that public_ip is unique for all nodes
INFO: checking that all node hosts have cartridges installed
INFO: cartridges for ip-10-167-148-53: 10gen-mms-agent-0.1, cron-1.4, diy-0.1, haproxy-1.4, jbossas-7, jbosseap-6, jbossews-1.0, jbossews-2.0, jenkins-1, jenkins-client-1, mock-0.1, mock-0.2, mock-0.3, mock-0.4, mock-plugin-0.1, mock-plugin-0.2, mongodb-2.4, mysql-5.1, mysql-5.5, nodejs-0.10, perl-5.10, php-5.3, php-5.4, phpmyadmin-4, postgresql-8.4, postgresql-9.2, python-2.6, python-2.7, python-3.3, rockmongo-1.1, ruby-1.8, ruby-1.9, ruby-2.0, switchyard-0, zend-6.1
INFO: In addition, some nodes have obsolete cartridges installed: metrics-0.1, nodejs-0.6, zend-5.6
INFO: checking that same cartridges are installed on all node hosts
INFO: checking that broker's list of cartridges is not stale
INFO: API reports carts: 10gen-mms-agent-0.1, cron-1.4, diy-0.1, haproxy-1.4, jbossas-7, jbosseap-6, jbossews-1.0, jbossews-2.0, jenkins-1, jenkins-client-1, mock-0.1, mock-0.2, mock-0.3, mock-0.4, mock-plugin-0.1, mock-plugin-0.2, mongodb-2.4, mysql-5.1, mysql-5.5, nodejs-0.10, perl-5.10, php-5.3, php-5.4, phpmyadmin-4, postgresql-8.4, postgresql-9.2, python-2.6, python-2.7, python-3.3, rockmongo-1.1, ruby-1.8, ruby-1.9, ruby-2.0, switchyard-0, zend-6.1
PASS


Note You need to log in before you can comment on or make changes to this bug.